IR.AddListener(IR.EVENT_START, 0, function() {

  // Инициализируем Барабан
  СreatePickerItems(IR.GetItem("Remote"));

  // Показываем попап
  IR.ShowPopup("Remote");
  
  // Функция СreatePickerItems, можем задать интервал значений или массив Items 
  function СreatePickerItems(in_oRemotePopup) {
    var _Left = in_oRemotePopup.GetItem("_Left");
    var _Mid = in_oRemotePopup.GetItem("_Mid");
    var _Right = in_oRemotePopup.GetItem("_Right");

    var LeftPicker = in_oRemotePopup.CreateItem(IR.ITEM_PICKER, "leftPicker", {
      X: _Left.X - 55,
      Y: _Left.Y + 6,
      Min: 1, // Интервал
      Max: 31, // Интервал
      VisibleCount: 3, //3,5,7,...
      Template: IR.GetPopup("Template Picker")
    });

    LeftPicker.Y = in_oRemotePopup.GetItem("backPicker left").Y + 0;
    LeftPicker.Height = in_oRemotePopup.GetItem("backPicker left").Height - 0;

    var RightPicker = in_oRemotePopup.CreateItem(IR.ITEM_PICKER, "rightPicker", {
      X: _Right.X - 40,
      Y: _Right.Y + 0,
      Min: 1970, // Интервал
      Max: 2019, // Интервал
      VisibleCount: 3, //3,5,7,...
      Template: IR.GetPopup("Template Picker")
    });

    RightPicker.Y = in_oRemotePopup.GetItem("backPicker right").Y + 0;
    RightPicker.Height = in_oRemotePopup.GetItem("backPicker right").Height - 0;

    var MidPicker = in_oRemotePopup.CreateItem(IR.ITEM_PICKER, "midPicker", {
      X: _Mid.X + 35,
      Y: _Mid.Y + 0,
      Items: ["Январь", "Февраль", "Март", "Апрель","Май","Июнь","Июль","Август","Сентябрь","Октябрь","Ноябрь","Декабрь"], // Элементы
      VisibleCount: 3, //3,5,7,...
      Template: IR.GetPopup("Template Picker")
    });

    MidPicker.Y = in_oRemotePopup.GetItem("backPicker mid").Y + 0;
    MidPicker.Height = in_oRemotePopup.GetItem("backPicker mid").Height - 0;
  }

  //Задаём начальные позиции барабанов
  var _left = IR.GetItem("Remote").GetItem("leftPicker");
  var _right = IR.GetItem("Remote").GetItem("rightPicker");
  var _mid = IR.GetItem("Remote").GetItem("midPicker");

  _left.Position = 30; // Первый элемент = колличество - 1
  _right.Position = 48;// Первый элемент = колличество - 1
  _mid.Position = 11;// Первый элемент = колличество - 1

  // Получаем значения при нажатии на кнопку
  IR.AddListener(IR.EVENT_ITEM_RELEASE, IR.GetItem("Remote").GetItem("Done"), function(){
    var m_sLeft = parseInt(_left.Value); // Число 
    var m_sMid = _mid.Value; // Месяц
    var m_sRight = parseInt(_right.Value); // Год
    IR.Log("Число: "+m_sLeft+", Месяц: "+m_sMid+", Год: "+m_sRight); // Выводим в лог
  });

});
